[package]
name = "nirvati-plugin-umbrel"
version = "0.1.0"
edition = "2021"

[dependencies]
compose_spec = "0.2.0"
flate2 = "1.0.30"
git2 = { version = "0.18.3", features = ["vendored-openssl", "vendored-libgit2"] }
nirvati = "0.0.1"
nirvati-apps-core = "0.0.1"
prost = "0.12.4"
semver = { version = "1.0.22", features = ["serde"] }
serde = { version = "1.0.200", features = ["derive"] }
serde_yaml = "0.9.34"
slugify = "0.1.0"
tar = "0.4.40"
tokio = { version = "1.37.0", features = ["rt-multi-thread", "macros"] }
tonic = "0.11.0"
k8s-openapi = "0.21.1"
gix = { version = "0.62.0", features = ["blocking-http-transport-reqwest-rust-tls"] }
tempfile = "3.10.1"
anyhow = "1.0.82"
serde_json = "1.0.116"
tracing = "0.1.40"
tracing-subscriber = "0.3.18"

[build-dependencies]
tonic-build = "0.11.0"
